<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AgeOfTowers (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AgeOfTowers (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":9,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AgeOfTowers.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/main/AgeOfTowers.html" target="_top">Frames</a></li>
<li><a href="AgeOfTowers.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main</div>
<h2 title="Class AgeOfTowers" class="title">Class AgeOfTowers</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.AgeOfTowers</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">AgeOfTowers</span>
extends java.lang.Object</pre>
<div class="block">Class AgeOfTower - main class to start a new game of TowerWarsPP.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.2 July 05th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Niklas Mueller</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset">ArgumentParser</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#ap">ap</a></span></code>
<div class="block"><a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset"><code>ArgumentParser</code></a> to get settings and flags from the command line</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#BLUE">BLUE</a></span></code>
<div class="block">final integer BLUE with 1</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#board">board</a></span></code>
<div class="block"><a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#debug">debug</a></span></code>
<div class="block"><a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> singleton that will be set to the debugging preferences entered by
 the user via the command line arguments at program start</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#DEF_OUTPUT">DEF_OUTPUT</a></span></code>
<div class="block">Default <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><code>OutputType</code></a> that is used if nothing else is specified.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#io">io</a></span></code>
<div class="block"><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> object to get possibility to request <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from the <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> and to visualize the <a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#RED">RED</a></span></code>
<div class="block">final integer RED with 0</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#requestable">requestable</a></span></code>
<div class="block"><a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> object to  get possibility to request <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from the <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> if no visualization is wanted</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#save">save</a></span></code>
<div class="block">saveObject for save</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#AgeOfTowers-java.lang.String:A-">AgeOfTowers</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Constructor parsing the given array of strings to the <a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset"><code>ArgumentParser</code></a> and starting the specified type of game</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player">Adv2Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#createAdv2Player--">createAdv2Player</a></span>()</code>
<div class="block">Creates an Adv2-Player with the settings stored within the <a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset"><code>ArgumentParser</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#createPlayer-towerwarspp.preset.PlayerType-">createPlayer</a></span>(<a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;playerType)</code>
<div class="block">Method createPlayer to initialize a <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with given <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#createPlayers--">createPlayers</a></span>()</code>
<div class="block">Method createPlayers to get an array of two <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, first one of <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED, second BLUE</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#findRemotePlay--">findRemotePlay</a></span>()</code>
<div class="block">Method findRemotePlayer to offer a <a href="../../towerwarspp/player/NetPlayer.html" title="class in towerwarspp.player"><code>NetPlayer</code></a> with given <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#getRemotePlayer--">getRemotePlayer</a></span>()</code>
<div class="block">Method getRemotePlayer to search for an offered <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, with given host, port and name</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#helpOutput--">helpOutput</a></span>()</code>
<div class="block">Method helpOutput to get a <code>String</code> containing information about how to start a <a href="../../towerwarspp/main/AgeOfTowers.html" title="class in towerwarspp.main"><code>AgeOfTowers</code></a> game</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#initArguments--">initArguments</a></span>()</code>
<div class="block">This method initialises the Parameter-Input</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#initBoard-int-">initBoard</a></span>(int&nbsp;boardSize)</code>
<div class="block">Method initBoard to initialized the board variable with a new <a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> and given size</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">The Main of the Game.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#setUpIO-towerwarspp.main.OutputType-">setUpIO</a></span>(<a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a>&nbsp;outputType)</code>
<div class="block">Method setUpIO to add a specified <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><code>OutputType</code></a> and/or a <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> object  to the <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#startGame-towerwarspp.preset.Player-towerwarspp.preset.Player-">startGame</a></span>(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
         <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer)</code>
<div class="block">Method startGame to create a new <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> object, with given <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/AgeOfTowers.html#startTournament-towerwarspp.preset.Player:A-">startTournament</a></span>(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players)</code>
<div class="block">Method startTournament to start a tournament, starting as many <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s as wished.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEF_OUTPUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEF_OUTPUT</h4>
<pre>private static final&nbsp;<a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a> DEF_OUTPUT</pre>
<div class="block">Default <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><code>OutputType</code></a> that is used if nothing else is specified.</div>
</li>
</ul>
<a name="RED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED</h4>
<pre>private final&nbsp;int RED</pre>
<div class="block">final integer RED with 0</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.main.AgeOfTowers.RED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUE</h4>
<pre>private final&nbsp;int BLUE</pre>
<div class="block">final integer BLUE with 1</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.main.AgeOfTowers.BLUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ap">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ap</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset">ArgumentParser</a> ap</pre>
<div class="block"><a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset"><code>ArgumentParser</code></a> to get settings and flags from the command line</div>
</li>
</ul>
<a name="debug">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>private&nbsp;<a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debug</pre>
<div class="block"><a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> singleton that will be set to the debugging preferences entered by
 the user via the command line arguments at program start</div>
</li>
</ul>
<a name="board">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>board</h4>
<pre>private&nbsp;<a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> board</pre>
<div class="block"><a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object</div>
</li>
</ul>
<a name="io">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>io</h4>
<pre>private&nbsp;<a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a> io</pre>
<div class="block"><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> object to get possibility to request <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from the <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> and to visualize the <a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a></div>
</li>
</ul>
<a name="requestable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requestable</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a> requestable</pre>
<div class="block"><a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> object to  get possibility to request <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from the <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> if no visualization is wanted</div>
</li>
</ul>
<a name="save">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>save</h4>
<pre>private&nbsp;<a href="../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a> save</pre>
<div class="block">saveObject for save</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AgeOfTowers-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AgeOfTowers</h4>
<pre>private&nbsp;AgeOfTowers(java.lang.String[]&nbsp;args)</pre>
<div class="block">Constructor parsing the given array of strings to the <a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset"><code>ArgumentParser</code></a> and starting the specified type of game</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - command line parameters, providing settings for the game</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRemotePlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemotePlayer</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;getRemotePlayer()</pre>
<div class="block">Method getRemotePlayer to search for an offered <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, with given host, port and name</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> found <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> to start a <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with</dd>
</dl>
</li>
</ul>
<a name="setUpIO-towerwarspp.main.OutputType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpIO</h4>
<pre>private&nbsp;void&nbsp;setUpIO(<a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a>&nbsp;outputType)</pre>
<div class="block">Method setUpIO to add a specified <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><code>OutputType</code></a> and/or a <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> object  to the <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outputType</code> - <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><code>OutputType</code></a> to be set</dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block">The Main of the Game. Starts the new <a href="../../towerwarspp/main/AgeOfTowers.html" title="class in towerwarspp.main"><code>AgeOfTowers</code></a> - Object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - the Arguments from the comand-line</dd>
</dl>
</li>
</ul>
<a name="initArguments--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initArguments</h4>
<pre>private&nbsp;java.lang.String[]&nbsp;initArguments()
                                  throws java.lang.Exception</pre>
<div class="block">This method initialises the Parameter-Input</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parameter-input as String-Array</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="initBoard-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initBoard</h4>
<pre>private&nbsp;void&nbsp;initBoard(int&nbsp;boardSize)</pre>
<div class="block">Method initBoard to initialized the board variable with a new <a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> and given size</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boardSize</code> - integer providing size of board</dd>
</dl>
</li>
</ul>
<a name="findRemotePlay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findRemotePlay</h4>
<pre>private&nbsp;void&nbsp;findRemotePlay()</pre>
<div class="block">Method findRemotePlayer to offer a <a href="../../towerwarspp/player/NetPlayer.html" title="class in towerwarspp.player"><code>NetPlayer</code></a> with given <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a></div>
</li>
</ul>
<a name="createPlayers--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPlayers</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;createPlayers()</pre>
<div class="block">Method createPlayers to get an array of two <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, first one of <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED, second BLUE</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>array of <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED and BLUE</dd>
</dl>
</li>
</ul>
<a name="createPlayer-towerwarspp.preset.PlayerType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPlayer</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;createPlayer(<a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;playerType)</pre>
<div class="block">Method createPlayer to initialize a <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with given <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>playerType</code> - <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with needed <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a></dd>
</dl>
</li>
</ul>
<a name="createAdv2Player--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAdv2Player</h4>
<pre>private&nbsp;<a href="../../towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player">Adv2Player</a>&nbsp;createAdv2Player()</pre>
<div class="block">Creates an Adv2-Player with the settings stored within the <a href="../../towerwarspp/preset/ArgumentParser.html" title="class in towerwarspp.preset"><code>ArgumentParser</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created adv2-Player object</dd>
</dl>
</li>
</ul>
<a name="startGame-towerwarspp.preset.Player-towerwarspp.preset.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startGame</h4>
<pre>private&nbsp;void&nbsp;startGame(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
                       <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer)</pre>
<div class="block">Method startGame to create a new <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> object, with given <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s.
 Outputs information about this <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>redPlayer</code> - <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> set as red player</dd>
<dd><code>bluePlayer</code> - <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> set as blue player</dd>
</dl>
</li>
</ul>
<a name="startTournament-towerwarspp.preset.Player:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startTournament</h4>
<pre>private&nbsp;void&nbsp;startTournament(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players)</pre>
<div class="block">Method startTournament to start a tournament, starting as many <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s as wished.
 Outputs statistic about this <a href="../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a> on standard-output.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>players</code> - array of <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a></dd>
</dl>
</li>
</ul>
<a name="helpOutput--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>helpOutput</h4>
<pre>private static&nbsp;java.lang.String&nbsp;helpOutput()</pre>
<div class="block">Method helpOutput to get a <code>String</code> containing information about how to start a <a href="../../towerwarspp/main/AgeOfTowers.html" title="class in towerwarspp.main"><code>AgeOfTowers</code></a> game</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String containing information</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AgeOfTowers.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/main/AgeOfTowers.html" target="_top">Frames</a></li>
<li><a href="AgeOfTowers.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
